#
# spec file for package llvm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _sonum  5
Name:           llvm
Version:        5.0.1
Release:        lp150.3.2
Summary:        Low Level Virtual Machine
License:        NCSA
Group:          Development/Languages/Other
Url:            http://www.llvm.org
# This file documents the process for updating llvm
Source0:        README.packaging
Source101:      baselibs.conf
# Avoid multiple providers error
BuildRequires:  clang%{_sonum} = %{version}
BuildRequires:  clang%{_sonum}-checker = %{version}
BuildRequires:  clang%{_sonum}-devel = %{version}
BuildRequires:  llvm%{_sonum} = %{version}
BuildRequires:  llvm%{_sonum}-LTO-devel = %{version}
BuildRequires:  llvm%{_sonum}-devel = %{version}
BuildRequires:  llvm%{_sonum}-emacs-plugins = %{version}
BuildRequires:  llvm%{_sonum}-gold = %{version}
BuildRequires:  llvm%{_sonum}-vim-plugins = %{version}
%ifarch arm x86_64
BuildRequires:  lldb%{_sonum} = %{version}
BuildRequires:  lldb%{_sonum}-devel = %{version}
BuildRequires:  python3-lldb%{_sonum} = %{version}
%endif
Requires:       llvm%{_sonum} = %{version}

%description
LLVM is a compiler infrastructure designed for compile-time,
link-time, runtime, and idle-time optimization of programs from
arbitrary programming languages.

The compiler infrastructure includes mirror sets of programming
tools as well as libraries with equivalent functionality.

This package is a dummy package that depends on the version of
llvm that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package devel
Summary:        Header Files for LLVM
Group:          Development/Languages/Other
Requires:       llvm%{_sonum}-devel = %{version}
Requires:       llvm-gold

%description devel
This package contains library and header files needed to develop
new native programs that use the LLVM infrastructure.

This package is a dummy package that depends on the version of
llvm-devel that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package -n clang
Summary:        CLANG frontend for LLVM
Group:          Development/Languages/Other
Requires:       clang%{_sonum} = %{version}
Provides:       llvm-clang = %{version}
Obsoletes:      llvm-clang < %{version}

%description -n clang
This package contains the clang (C language) frontend for LLVM.

This package is a dummy package that depends on the version of
clang that openSUSE currently supports.  Packages that
don't require a specific Clang version should depend on this.


%package -n clang-checker
Summary:        Static code analyzer for CLANG
Group:          Development/Languages/Other
Requires:       clang%{_sonum}-checker = %{version}
Provides:       llvm-clang-checker = %{version}
Obsoletes:      llvm-clang-checker < %{version}

%description -n clang-checker
This package contains scan-build and scan-view, command line
static code analyzers for CLANG.

This package is a dummy package that depends on the version of
clang-checker that openSUSE currently supports.  Packages that
don't require a specific Clang version should depend on this.


%package -n clang-devel
Summary:        CLANG frontend for LLVM (devel package)
Group:          Development/Languages/Other
Requires:       clang%{_sonum}-devel = %{version}
Provides:       llvm-clang-devel = %{version}
Obsoletes:      llvm-clang-devel < %{version}
Provides:       clang-devel-static = %{version}
Obsoletes:      clang-devel-static < %{version}

%description -n clang-devel
This package contains the clang (C language) frontend for LLVM.
(development files)

This package is a dummy package that depends on the version of
clang-devel that openSUSE currently supports.  Packages that
don't require a specific Clang version should depend on this.


%package LTO-devel
Summary:        Link-time optimizer for LLVM (devel package)
Group:          Development/Languages/Other
Requires:       llvm%{_sonum}-LTO-devel = %{version}

%description LTO-devel
This package contains the link-time optimizer for LLVM.
(development files)

This package is a dummy package that depends on the version of
llvm-LTO-devel that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package gold
Summary:        Gold linker plugin for LLVM
Group:          Development/Languages/Other
Requires:       llvm%{_sonum}-gold = %{version}

%description gold
This package contains the Gold linker plugin for LLVM.

This package is a dummy package that depends on the version of
llvm-gold that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package        vim-plugins
Summary:        Vim plugins for LLVM
Group:          Productivity/Text/Editors
Requires:       llvm%{_sonum}-vim-plugins = %{version}
BuildArch:      noarch

%description    vim-plugins
This package contains vim plugins for LLVM like syntax highlighting.

This package is a dummy package that depends on the version of
llvm-vim-plugins that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package        emacs-plugins
Summary:        Emacs plugins for LLVM
Group:          Productivity/Text/Editors
Requires:       llvm%{_sonum}-emacs-plugins = %{version}
BuildArch:      noarch

%description    emacs-plugins
This package contains Emacs plugins for LLVM like syntax highlighting.

This package is a dummy package that depends on the version of
llvm-emacs-plugins that openSUSE currently supports.  Packages that
don't require a specific LLVM version should depend on this.


%package -n lldb
Summary:        Software debugger built using LLVM libraries
Group:          Development/Tools/Debuggers
Requires:       lldb%{_sonum} = %{version}

%description -n lldb
LLDB is a next generation, high-performance debugger. It is built as a set
of reusable components which highly leverage existing libraries in the
larger LLVM Project, such as the Clang expression parser and LLVM
disassembler.

This package is a dummy package that depends on the version of
lldb that openSUSE currently supports.  Packages that
don't require a specific LLDB version should depend on this.


%package -n lldb-devel
Summary:        Development files for LLDB
Group:          Development/Languages/Other
Requires:       lldb%{_sonum}-devel = %{version}

%description -n lldb-devel
This package contains the development files for LLDB.

This package is a dummy package that depends on the version of
lldb-devel that openSUSE currently supports.  Packages that
don't require a specific LLDB version should depend on this.


%package -n python3-lldb
Summary:        Python bindings for liblldb
Group:          Development/Languages/Python
Requires:       python3-lldb%{_sonum} = %{version}

%description -n python3-lldb
This package contains the Python bindings to clang (C language) frontend for LLVM.

This package is a dummy package that depends on the version of
python3-lldb that openSUSE currently supports.  Packages that
don't require a specific LLDB version should depend on this.


%package -n lld
Summary:        Linker for Clang/LLVM
Group:          Development/Tools/Building
Requires:       lld%{_sonum} = %{version}

%description -n lld
LLD is a linker from the LLVM project. That is a drop-in replacement for
system linkers and runs much faster than them. It also provides features that
are useful for toolchain developers.


%prep
# Not needed

%build
echo "This is a dummy package to provide a dependency on the system compiler." > README

%install
# Not needed

%files
%defattr(-,root,root)
%doc README

%files -n clang
%defattr(-,root,root)
%doc README

%files -n clang-checker
%defattr(-,root,root)
%doc README

%files gold
%defattr(-,root,root)
%doc README

%files devel
%defattr(-,root,root,-)
%doc README

%files -n clang-devel
%defattr(-,root,root)
%doc README

%files LTO-devel
%defattr(-,root,root)
%doc README

%files emacs-plugins
%defattr(-,root,root,-)
%doc README

%files vim-plugins
%defattr(-,root,root,-)
%doc README

%ifarch arm x86_64

%files -n lldb
%defattr(-,root,root)
%doc README

%files -n lldb-devel
%defattr(-,root,root)
%doc README

%files -n python3-lldb
%defattr(-,root,root)
%doc README

%endif

%files -n lld
%defattr(-,root,root)
%doc README

%changelog
* Wed Jan 24 2018 msrb@suse.com
- Remove clang-devel-static.
* Mon Jan  8 2018 msrb@suse.com
- Add missing %%files for lld.
* Fri Jan  5 2018 msrb@suse.com
- Update to version 5.0.1
  * This release contains bug-fixes for the LLVM 5.0.0 release.
  * This release is API and ABI compatible with 5.0.0.
* Thu Jan  4 2018 msrb@suse.com
- Add lld package.
  * LLD is new since llvm5.
* Wed Dec 13 2017 msrb@suse.com
- Rename python-lldb to python3-lldb to match the renamed package
  in llvm4 and llvm5 after switch to python3. Fix its dependency.
* Wed Dec 13 2017 msrb@suse.com
- Update to version 5.0.0
  * See:
    + http://llvm.org/releases/5.0.0/docs/ReleaseNotes.html
    + http://llvm.org/releases/5.0.0/tools/clang/docs/ReleaseNotes.html
    + http://llvm.org/releases/5.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
* Mon Oct  9 2017 msrb@suse.com
- Add clang-devel-static package.
  * Requires clang4-devel-static that was added to llvm4 package.
* Tue Jun 27 2017 idonmez@suse.com
- Update to version 4.0.1
  * Minor bugfixes
* Wed Mar 29 2017 idonmez@suse.com
- Update to version 4.0.0
  * See:
    + http://llvm.org/releases/4.0.0/docs/ReleaseNotes.html
    + http://llvm.org/releases/4.0.0/tools/clang/docs/ReleaseNotes.html
    + http://llvm.org/releases/4.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
* Wed Dec 21 2016 idonmez@suse.com
- Update to version 3.9.1
  * See:
    + http://llvm.org/releases/3.9.1/docs/ReleaseNotes.html
    + http://llvm.org/releases/3.9.1/tools/clang/docs/ReleaseNotes.html
    + http://llvm.org/releases/3.9.1/tools/clang/tools/extra/docs/ReleaseNotes.html
* Fri Dec  2 2016 toddrme2178@gmail.com
- Update to version 3.9.0
  * See:
    + http://llvm.org/releases/3.9.0/docs/ReleaseNotes.html
    + http://llvm.org/releases/3.9.0/tools/clang/docs/ReleaseNotes.html
    + http://llvm.org/releases/3.9.0/tools/clang/tools/extra/docs/ReleaseNotes.html
  * Fix the following patches:
    + arm_suse_support.diff
    + assume-opensuse.patch
    + clang-resourcedirs.patch
    + default-to-i586.patch
    + glibc-2.23-libcxx.patch
    + glibc-2.24-libcxx.patch
    + lldb-add-pthread-dl-libs.patch
    + lldb-cmake.patch
    + llvm-fix-find-gcc5-install.patch
    + llvm-remove-clang-only-flags.patch
    + revert-cmake-soname.patch
    + set-revision.patch
  * Remove upstream-included patch:
    + llvm-nonvoid-return.patch
  * Remove patch for removed files:
    + glibc-2.23-libcxx.patch
- Backport upstream patches:
  * clang-fix-substitutions-abi_tag.patch
  * clang-incomplete-field-types.patch
  * llvm-install-CheckAtomic.patch
- Add clang%%{_sonum}-include-fixer subpackage and associated
  libfindAllSymbols%%{_sonum} and libfindAllSymbols%%{_sonum}-devel
  subpackages.
- Add sanstats to llvm binary list.
* Fri Oct  7 2016 toddrme2178@gmail.com
- Improve README.packaging.
* Thu Oct  6 2016 idonmez@suse.com
- Remove unneeded emacs-nox dependency.
* Wed Oct  5 2016 idonmez@suse.com
- BuildIgnore emacs and vim to avoid cycles.
* Fri Sep  9 2016 toddrme2178@gmail.com
- Split out llvm and lldb into a version-specific package.
- Turn this package into a wrapper around the version-specific
  packages.
- Remove patches:
  * default-to-i586.patch
  * assume-opensuse.patch
  * glibc-2.23-libcxx.patch
  * arm_suse_support.diff
  * llvm-remove-clang-only-flags.patch
  * clang-resourcedirs.patch
  * lldb-add-pthread-dl-libs.patch
  * llvm-nonvoid-return.patch
  * glibc-2.24-libcxx.patch
  * revert-cmake-soname.patch
  * set-revision.patch
  * lldb-cmake.patch
  * D15067.id41365.diff
  * llvm-fix-find-gcc5-install.patch
* Wed Sep  7 2016 tchvatal@suse.com
- Sort a bit with spec-cleaner
- Remove the latest switch for now, things should be either coinstallable
  or not, we don't need to bother around with compilation like this
* Wed Aug 31 2016 toddrme2178@gmail.com
- Update to llvm 3.8.1
  * See http://llvm.org/releases/3.8.1/docs/ReleaseNotes.html and
    http://llvm.org/releases/3.8.1/tools/docs/ReleaseNotes.html
- Use versioned libLLVM (to libLLVM3_8) and libclang (to libclang3_8)
- Change versioning of liblldb3_8 to liblldb-3_8 and use a variable
  to control the name instead of hard-coding it.
- Use bcond_with and bcond_without to enable/disable build options
  instead of hard-coding them.
- Put buildrequires as requires in -devel packages to avoid linker errors
  when building packages against the -devel packages.
- Add ffi support (disabled by default).
- Add oprofile support (disabled by default).
- Add valgrind support (disabled by default).
- Link cmake files to the normal cmake file directory to allow autodetection
  of cmake interfaces.
- Remove unused lldb components from main spec file.
- Split llvm python bindings into own subpackage.
- Split emacs plugin into own subpackage
- Move additional vim plugins into vim plugins package
- Split libc++, libLTO, LLVMgold, libomp, clang-chekers into own subpackages
- Make python-clang, llvm-vim-plugins, and llvm-emacs-plugins noarch since
  they aren't architecture-specific.
- Make packages besides llvm, llvm-clang, and the shared libraries conflict
  with other versions.  This will be important when multiple LLVM versions
  are supported.
- Various spec file cleanups
- Rebase patches:
  * arm_suse_support.diff
  * assume-opensuse.patch
  * clang-resourcedirs.patch
  * default-to-i586.patch
  * glibc-2.23-libcxx.patch
  * glibc-2.24-libcxx.patch
  * lldb-add-pthread-dl-libs.patch
  * lldb-cmake.patch
  * llvm-fix-find-gcc5-install.patch
  * llvm-nonvoid-return.patch
  * llvm-remove-clang-only-flags.patch
  * revert-cmake-soname.patch
  * set-revision.patch
* Fri Aug 26 2016 tchvatal@suse.com
- Start conversion to use cmake macros with now introduced
  compatibility for ninja
- Reduce number of threads if we don't have enough memory
- Add patch for the nonvoid returns:
  * llvm-nonvoid-return.patch
* Thu Jul 28 2016 normand@linux.vnet.ibm.com
- for ppc64le set memory to 4GB in _constraints file
  (failure in Factory:PowerPC)
* Wed Jul 13 2016 schwab@suse.de
- glibc-2.24-libcxx.patch: fix libcxx testsuite for glibc 2.24
* Wed May 18 2016 ronisbr@gmail.com
- Build LLDB separated from LLVM.
- Re-enable python bindings for the LLDB API.
* Wed May 18 2016 idonmez@suse.com
- Disable libcxx/lldb/openmp for SLE fate#319582
* Mon Apr 25 2016 idonmez@suse.com
- Update rpmlintrc to whitelist libLTO.so
* Mon Apr 11 2016 idonmez@suse.com
- Re-enable glibc-2.23 patch for Tumbleweed
* Sun Apr 10 2016 dmueller@suse.com
- fix arm_suse_support.diff for armv6hl
- adjust compile flags for llvm on armv6hl (fixes Mesa build)
* Mon Apr  4 2016 idonmez@suse.com
- Update llvm-remove-clang-only-flags.patch to remove
  - Wcovered-switch-default flag for gcc compatibility.
* Wed Mar 16 2016 idonmez@suse.com
- Use gcc for stage1 bootstrap
- Add back libstdc++-devel dependency for clang since libc++ is
  only available for x86-64 atm.
* Thu Mar 10 2016 idonmez@suse.com
- Comment out glibc-2.23-libcxx.patch until glibc 2.23 actually
  hits the Factory.
* Tue Mar  8 2016 idonmez@suse.com
- Update to llvm 3.8.0
  * See http://llvm.org/releases/3.8.0/docs/ReleaseNotes.html and
    http://llvm.org/releases/3.8.0/tools/clang/docs/ReleaseNotes.html
- Fold lldb build into llvm and disable python support
- Drop clang-disable-ada-extension.patch, libcxxabi-exceptions.patch
  and cmake-host-triple.patch
- Add revert-cmake-soname.patch to fix soname handling
* Wed Mar  2 2016 idonmez@suse.com
- Add glibc-2.23-libcxx.patch to fix test failures with glibc 2.23
* Sat Oct  3 2015 mimi.vx@gmail.com
-  Remove FFI support because its fragile
* Sun Sep 27 2015 idonmez@suse.com
- Enable OpenMP for x86, x86_64, ppc64 and ppc64le
* Mon Sep 14 2015 idonmez@suse.com
- Enable all targets on x86, x86_64
* Wed Sep  2 2015 idonmez@suse.com
- Update to version 3.7.0
  * See http://llvm.org/releases/3.7.0/docs/ReleaseNotes.html
- Merge aarch64-suse-support.patch into arm_suse_support.diff
- Refresh arm_suse_support.diff, llvm-fix-find-gcc5-install.patch
- Remove llvm-fix-parsearmarch.patch, upstream.
* Tue May 26 2015 ro@suse.de
- fix build on s390x (one typo in ifarch and one change in filelist)
* Mon May 25 2015 idonmez@suse.com
- Update to version 3.6.1
  * No changelog upstream
* Fri Apr 24 2015 idonmez@suse.com
- Add llvm-fix-parsearmarch.patch to fix parsing armv{6,7}hl archs.
* Mon Mar  2 2015 idonmez@suse.com
- Update to version 3.6.0
  * See http://llvm.org/releases/3.6.0/docs/ReleaseNotes.html
- Add python-xml dependency for regression tests
- Removed the following patches, fixed upstream:
  * arm-remove-xfails.diff
  * libcxx-libdir.patch
  * llvm-config-lib64.patch
  * llvm-fix-intrusiverefcntptr.patch
* Fri Feb 20 2015 rguenther@suse.com
- Add llvm-fix-intrusiverefcntptr.patch to fix build of LLVM tools
  with GCC 5.
- Add llvm-fix-find-gcc5-install.patch to properly find installed GCC 5.
* Wed Jan 28 2015 idonmez@suse.com
- Add a gcc dependency for clang, this is heavyweight but we need
  libgcc_s which comes with the gcc package (bnc#893359)
* Fri Dec 12 2014 idonmez@suse.com
- Conditionalize libcxx{abi} build on build_libcxx variable
- Turn libc++.so into an ldscript so it links to libc++abi
  automatically.
* Tue Oct 21 2014 dmueller@suse.com
- fix constraints for armv6l/armv7l (there is no 4GB RAM on 32bit)
* Mon Sep 29 2014 idonmez@suse.com
- Rename llvm-remove-werror-date-time.patch to
  llvm-remove-clang-only-flags.patch and remove more clang only
  flags.
* Fri Sep 26 2014 idonmez@suse.com
- Enable shared libs on PPC64
* Thu Sep 25 2014 idonmez@suse.com
- Require llvm-clang not just clang
* Wed Sep 17 2014 idonmez@suse.com
- Add llvm-remove-werror-date-time.patch to remove -Werror=date-time
  for CXXFLAGS, gcc does not support it and it creeps into
  llvm-config --cflags
* Wed Sep 17 2014 idonmez@suse.com
- Remove wrong Requires from the llvm-devel package
* Wed Sep 17 2014 idonmez@suse.com
- Add default target triple form ARM, fixes bnc#893359
* Fri Sep  5 2014 idonmez@suse.com
- Use ninja for building
* Thu Sep  4 2014 idonmez@suse.com
- Update to llvm 3.5.0
  * Major update, see http://llvm.org/releases/3.5.0/docs/ReleaseNotes.html
- Use upstream pristine tarballs
- Add libc++/libc++abi support clang (only on x86_64)
- Add libcxxabi-exceptions.patch to fix libcxxabi exception handling
- Add libcxx-libdir.patch to fix libdir on 64bit arches
- Remove asan-disable-hugemalloctest.patch and
  cmake-patchversion.patch, fixed upstream.
* Fri Aug 15 2014 idonmez@suse.com
- Fix the sed line for minimal damage.
* Wed Jul 23 2014 idonmez@suse.com
- Add baselibs.conf to source files
* Wed Jul 23 2014 idonmez@suse.com
- Add cmake-patchversion.patch to sync config.h.in
  with config.h.cmake
* Tue Jul 22 2014 idonmez@suse.com
- Update to llvm 3.4.2
  * Minor bugfix release
- Drop clang-max_align_t.patch, applied upstream.
* Sat Jun 21 2014 arnaud@versini.eu
- Add clang-max_align_t.patch to resolve issue with libstdc++ 4.9
  max_align_t missing declaration
* Tue May 13 2014 peter.trommler@ohm-hochschule.de
- build compiler-rt on ppc64 (don't delete it)
* Thu Apr  3 2014 idonmez@suse.com
- Fix resource dir for libclang case (clang-resourcedirs.patch)
- Always build tests
* Sat Feb 22 2014 ro@suse.de
- complete ifarchs for s390
* Fri Jan 24 2014 idonmez@suse.com
- Remove non-existing doc subpackage
* Fri Jan 24 2014 idonmez@suse.com
- Add a dependency on ncurses-devel since libLLVM now links to
  tinfo.
* Tue Jan 14 2014 idonmez@suse.com
- Add 32bit libclang bnc#857131
* Tue Jan  7 2014 idonmez@suse.com
- Update to final llvm 3.4 release
  * See http://llvm.org/releases/3.4/docs/ReleaseNotes.html for
    complete changelog.
* Tue Dec 24 2013 idonmez@suse.com
- Update to final release candidate (r197980)
* Sat Dec 21 2013 idonmez@suse.com
- Update to r197866 from release_34 branch
* Tue Dec 17 2013 idonmez@suse.com
- Update to r197490 from release_34 branch
* Thu Dec 12 2013 idonmez@suse.com
- Update to r197142 from release_34 branch
- Disable assertions again now that PPC64 backend is fixed
* Tue Dec 10 2013 idonmez@suse.com
- Update to r196899 from release_34 branch
- Remove compiler_rt-r196612.patch, merged upstream
* Mon Dec  9 2013 idonmez@suse.com
- Add compiler_rt-r196612.patch to fix ubsan failures on i586
* Mon Dec  9 2013 idonmez@suse.com
- Update to r196762 from release_34 branch
* Mon Dec  9 2013 dvaleev@suse.com
- enable ppc64le
* Thu Dec  5 2013 idonmez@suse.com
- Update to r196503 from release_34 branch to get compiler_rt fixes
* Thu Dec  5 2013 idonmez@suse.com
- Update to r196487 from release_34 branch to get compiler_rt fixes
* Wed Dec  4 2013 idonmez@suse.com
- Ship cmake files for llvm (needed for lldb and such)
* Wed Dec  4 2013 idonmez@suse.com
- Update to r196371 from release_34 branch
* Wed Dec  4 2013 termim@gmail.com
- install python binding to libclang
* Sun Dec  1 2013 idonmez@suse.com
- Update to r196358 from llvm 3.4 branch
- Add asan-disable-hugemalloctest.patch to disable
  ASAN HugeMallocTest, it requires 4.1+ GB of RAM.
- Refresh patches
  * aarch64-suse-support.patch
  * arm_suse_support.diff
  * assume-opensuse.patch
  * default-to-i586.patch
- Drop upstream patches
  * llvm-disable-pretty-stack-trace.patch
  * r189852.diff
  * unreachable-code.patch
  * llvm-no-visibility.patch
* Tue Oct 22 2013 dmueller@suse.com
- add r189852.diff: Remove vtables optimisation that breaks ARM
  and PowerPC
- Disable testsuite on ARMv7, takes forever to run
* Thu Oct 17 2013 schwab@suse.de
- Fix file list for %%arm
* Wed Oct  9 2013 dmueller@suse.com
- use %%arm, not arm in arch conditions
- add arm-remove-xfails.diff: remove XFAILs in testsuite
  that pass and thereby make check fail
* Fri Sep 27 2013 idonmez@suse.com
- Set DisablePrettyStackTrace to true since it messes up signal
  handling. bnc#839074 and fdo#60929 implemented with
  llvm-disable-pretty-stack-trace.patch)
* Wed Aug 28 2013 schwab@suse.de
- Fix filelist for aarch64
* Wed Aug 28 2013 schwab@suse.de
- aarch64-suse-support.patch: Enable AArch64 suse toolchain support
* Wed Aug 28 2013 idonmez@suse.com
- Add s390x support
* Wed Aug 28 2013 idonmez@suse.com
- Remove unused chrpath dependency
- Re-enable ARCMT since libclang depends on it
* Mon Aug 26 2013 schwab@suse.de
- Define host_triple for aarch64
* Thu Aug 22 2013 idonmez@suse.com
- Fix ARMv6 build
* Wed Aug 21 2013 idonmez@suse.com
- Only enable PowerPC on ppc64
* Mon Aug 12 2013 idonmez@suse.com
- Disable shared libs on PowerPC
- Disable ARCMT, it only makes sense for iOS/OSX
* Tue Aug  6 2013 idonmez@suse.com
- Fix build
* Wed Jul 17 2013 idonmez@suse.com
- Disable building unit-tests, should fix undefined reference
  problem on ARM & PowerPC
* Tue Jul 16 2013 coolo@suse.com
- do not build on slow or low memory workers
* Thu Jul  4 2013 idonmez@suse.com
- Drop disable_neon_in_armv7.diff, neon seems to be working fine
- Add cmake-host-triple.patch to pass a host triple argument
* Wed Jul  3 2013 idonmez@suse.com
- Create libLLVM and libclang subpackages.
* Wed Jun 19 2013 llunak@suse.com
- Fix finding internal headers on x86_64
* Wed Jun 19 2013 idonmez@suse.com
- Fix ARM v5/v7 builds
* Tue Jun 18 2013 tobias.johannes.klausmann@mni.thm.de
- Create a baselibs.conf
  Provide *-32 Bit Packages for x86_64
* Thu Jun 13 2013 tobias.johannes.klausmann@mni.thm.de
- Initial version of a cmake based buildscript
  + Updated arm_suse_support.diff (patch6) to work with llvm 3.3
  + Set version in spec to 3.3
* Thu Jun 13 2013 idonmez@suse.com
- Update to final 3.3 release (r183898)
* Fri May 24 2013 idonmez@suse.com
- Disable debug symbols on PPC64
* Tue May 21 2013 idonmez@suse.com
- Update to version 3.3 RC2
  * Small bugfixes
* Tue May 14 2013 idonmez@suse.com
- Enable ARM64 support
* Thu May  9 2013 idonmez@suse.com
- Add unreachable-code.patch to fix unreachable code warnings on SLE
* Wed May  8 2013 idonmez@suse.com
- Update to version 3.3 RC1
  * Added support for AArch64, ARM’s 64-bit architecture.
  * LLVM now has a new SLP vectorizer.
  * LLVM and clang now support IBM’s z/Architecture.
  * The R600 backend was added in this release, it supports
    AMD GPUs (HD2XXX - HD7XXX).
  * See http://llvm.org/releases/3.3/docs/ReleaseNotes.html for
    complete changelog.
- Drop upstream patches:
  * pr13303.patch
  * pr14795.patch
  * pr14831.patch
  * python-ulimit.patch
* Wed Jan 16 2013 llunak@suse.com
- pr13303.patch: reapply, was temporarily reverted upstream
* Fri Jan 11 2013 idonmez@suse.com
- Add pre-generated doc files, remove sphinx dependency
* Tue Jan  8 2013 llunak@suse.com
- pr14795.patch: Fix incorrect line numbers after -frewrite-includes
  (PR#14795)
- pr14831.patch: Do not incorrectly warn about pragmas in -frewrite-includes
  (PR#14831)
* Mon Dec 31 2012 dmueller@suse.com
- disable cross-compile mode in stage2 for armv5/v7
* Thu Dec 20 2012 idonmez@suse.com
- Update to final 3.2 release
  * No code changes since rc3
* Sun Dec 16 2012 idonmez@suse.com
- Update to r170281 from release_32 branch
  * SROA fixes
* Fri Dec 14 2012 idonmez@suse.com
- Disable compilation on PPC, only PPC64 is supported.
* Fri Dec 14 2012 idonmez@suse.com
- Add python-ulimit.patch: Don't set a limit on address space.
  This enables us running tests on PowerPC.
* Wed Dec 12 2012 idonmez@suse.com
- Unbreak PowerPC support
* Sat Dec  8 2012 idonmez@suse.com
- Update to r169678 from release_32 branch
  * This is 3.2rc3
* Wed Dec  5 2012 idonmez@suse.com
- Update to r169391 from release_32 branch
  * SROA fixes
* Tue Dec  4 2012 guillaume@opensuse.org
- Fix ARM build
* Mon Dec  3 2012 schuetzm@gmx.net
- Fix llvm-config --libdir to return /usr/lib64 where appropriate.
  The old method of using sed on the executable does no longer
  work, because llvm-config is now a binary.
* Fri Nov 30 2012 idonmez@suse.com
- Update to r168987 from release_32 branch
  * Crash fixes
  * Miscompilation fixes
* Tue Nov 20 2012 idonmez@suse.com
- Stop excluding ppc64 architecture
* Tue Nov 20 2012 idonmez@suse.com
- Update to r168357 from release_32 branch
  * Fixes a miscompilation with gcc 4.7
* Sun Nov 18 2012 idonmez@suse.com
- Update to r168286 from release_32 branch
  * Fixes llvm PR14309
* Thu Nov 15 2012 idonmez@suse.com
- Update to r168031 from release_32 branch
  * This is 3.2rc1
* Mon Nov 12 2012 idonmez@suse.com
- Update to r167720 from release_32 branch
  * Thread local variables may have a specified TLS model.
  * LLVM now has a loop optimizer.
  * SROA has been rewritten to be more powerful.
  * A new optimization pass added to merge stack objects
    which are used in disjoint areas of the code.
  * LLVM now merge consecutive loads and stores.
  * New TableGen infrastructure to support bundling for
    Very Long Instruction Word (VLIW) architectures.
  * Added a new target independent VLIW packetizer.
  * A probability based block placement and code layout algorithm
    was added to LLVM's code generator.
  * The ARM target now includes a full featured macro assembler,
    including direct-to-object module support for clang.
  * A new IR-level pass, called "TargetTransformInfo" provides
    a number of low-level interfaces.
- Refresh default-to-i586.patch to apply again
- Drop following patches (fixed upstream)
  * arm-suse-support.patch
  * pr12463.patch
  * pr13141.patch
  * pr13303.patch
  * rewrite-includes.patch
  * clang-fix-mips-test.patch (fixed differently in spec file)
* Sat Oct 27 2012 coolo@suse.com
- add explicit buildrequire groff for man pages
* Mon Sep 10 2012 idonmez@suse.com
- Fix debuginfo generation
* Thu Jul 19 2012 llunak@suse.com
- make link time optimization plugin accessible to ar/nm/ranlib
- build the plugin properly
* Sat Jul 14 2012 adrian@suse.de
- fix arm build
* Fri Jul 13 2012 llunak@suse.com
- change rewrite-includes patch to use options to match upstream
  changed option names
* Fri Jul 13 2012 llunak@suse.com
- fix debuginfo generation (PR#13303)
* Mon Jun 18 2012 llunak@suse.com
- Do not reject PCH because of -DFOO duplication (PR#13141)
* Tue May 15 2012 idonmez@suse.com
- Update to final 3.1 release
* Thu May 10 2012 idonmez@suse.com
- Depend on python-base so we don't pull whole Mesa
* Tue May  8 2012 llunak@suse.com
- make -rewrite-includes support -C and -CC
* Thu May  3 2012 llunak@suse.com
- patch for -rewrite-includes feature
* Mon Apr 30 2012 idonmez@suse.com
- Update to svn revision 155819 from 3.1 branch
  * C++11 fixes
* Fri Apr 27 2012 idonmez@suse.com
- Update to svn revision 155700 from 3.1 branch
  * Crash fixes
  * C++11 fixes
* Thu Apr 26 2012 idonmez@suse.com
- Update to svn revision 155574 from 3.1 branch
  * Crash fixes
  * Correctly enable compiler-rt
  * Remove unneeded runtime python dependencies
* Thu Apr 26 2012 idonmez@suse.com
- Switch to 2-stage bootstrap because we don't do build-compare
  anyway.
* Wed Apr 25 2012 idonmez@suse.com
- More fixes to llvm-config
* Tue Apr 24 2012 idonmez@suse.com
- Fix llvm-config --libs output
* Sun Apr 22 2012 idonmez@suse.com
- Update to svn revision 155320 from 3.1 branch
  * AVX fixes
* Tue Apr 17 2012 idonmez@suse.com
- Update to svn revision 154914 from 3.1 branch
  Major new features:
  * AddressSanitizer, a fast memory error detector.
  * MachineInstr Bundles, Support to model instruction
    bundling / packing.
  * ARM Integrated Assembler, A full featured assembler
    and direct-to-object support for ARM.
  * Basic Block Placement Probability driven basic block placement.
  LLVM IR and Core Improvements
  * IR support for half float
  * IR support for vectors of pointers, including vector GEPs.
  * Module flags have been introduced.
  * Loads can now have range metadata attached to them to
    describe the possible values being loaded.
  * Inline cost heuristics have been completely overhauled
    and now closely model constant propagation through call sites,
    disregard trivially dead code costs, and
    can model C++ STL iterator patterns.
  Optimizer Improvements
  * The loop unroll pass now is able to unroll loops with
    run-time trip counts. This feature is turned off by default,
    and is enabled with the -unroll-runtime flag.
  * A new basic-block autovectorization pass is available.
    Pass -vectorize to run this pass along with some associated
    post-vectorization cleanup passes.
  X86-32 and X86-64 Target Improvements
  * Bug fixes and improved support for AVX1
  * Support for AVX2 (still incomplete at this point)
  ARM Target Improvements
  * The constant island pass now supports basic block and
    constant pool entry alignments greater than 4 bytes.
  Clang Changes
  * New: -Wdangling-else, -Wstrncat-size
  * Improved: -Wformat, -Wempty-body, -Wliteral-conversion
  * Clang 3.1 adds support for anonymous structs and anonymous unions,
    added in the latest ISO C standard. Use -std=c11 or -std=gnu11
    to enable support for the new language standard.
    The new C11 features are backwards-compatible and are available
    as an extension in all language modes.
  * All warning and language selection flags which previously accepted
    c1x have been updated to accept c11. The old c1x forms have been removed.
  * Generalized constant expressions
  * Lambda expressions
  * Generalized initializers
  * Unrestricted unions
  * User-defined literals
  * Forward-declared enumerations
  * Atomics (both libc++'s and libstdc++4.7's <atomic> are supported)
* Tue Mar 20 2012 idonmez@suse.com
- Target i586-linux for 32bit builds
* Tue Dec 27 2011 idonmez@suse.com
- Add upstream fix for llvm PR11642
* Sun Dec 25 2011 idonmez@suse.com
- Don't run gcc for ada files, just fail instead.
* Thu Dec 22 2011 idonmez@suse.com
- Add clang-glibc2.14.patch to support glibc 2.14 headers
- Install profiling support
* Mon Dec  5 2011 idoenmez@suse.de
- Switch to 3-stage bootstrap
* Fri Dec  2 2011 idoenmez@suse.de
- Build first stage compiler with -O0 to workaround gcc 4.5 bug
* Thu Dec  1 2011 idoenmez@suse.de
- Update to final 3.0 release
  * No real change since rc2
* Tue Nov 29 2011 idoenmez@suse.de
- Use %%{_lib} macro instead of checking for x86_64
* Wed Nov 16 2011 idonmez@suse.com
- Enable ARM support again
- Switch to optimized build
* Thu Nov 10 2011 idonmez@suse.com
- Disable ARM support, VM goes out of memory while compiling it
* Thu Nov 10 2011 idonmez@suse.com
- Really enable ARM support
- Remove forcing -frtti
* Mon Nov  7 2011 idonmez@suse.com
- Update to r143961 from llvm-3.0 branch
  * No longer hardcoding include paths
* Mon Nov  7 2011 idonmez@suse.com
- Fix LLVMgold.so path for x86-64
* Sun Nov  6 2011 idonmez@suse.com
- Enable ld gold support
* Tue Nov  1 2011 idonmez@suse.com
- Update r143456 from llvm-3.0 branch
  * llvm/clang 3.0rc2
* Fri Oct 28 2011 idonmez@suse.com
- Add llvm-pr9614-part{1,2}.patch to fix LLVM PR9614
* Fri Oct 28 2011 idonmez@suse.com
- Fixup dependencies so that llvm-clang doesn't depend
  on llvm-clang-devel
* Tue Oct 25 2011 idonmez@suse.com
- Update to r142912 llvm-3.0 branch
  * Fixes to python bindings
* Fri Oct 21 2011 idonmez@suse.com
- Update to r142641
  * llvm/clang 3.0 rc1
* Thu Oct 20 2011 idonmez@suse.com
- Enable ARM code generation
* Wed Oct 19 2011 idonmez@suse.com
- Fix libdir on x86_64
* Tue Oct 18 2011 idonmez@suse.com
- Update to r142341
  * First build from 3.0 branch
  * -Wc++98-compat warnings for the lexer
  * Add flags for the remaining shift related warnings
    (-Wshift-count-negative, -Wshift-count-overflow).
  * Only warn in -Wliteral-conversion if the conversion
    loses information
  * Added clang_getCompletionAnnotation and
    clang_getCompletionNumAnnotations to retrieve annotations
    from completion string.
  * Add support for -std=gnu90 and -std=c++03, for compatibility
    with modern gcc.
- Switch to tar.bz2 and remove xz dependency
* Thu Sep 29 2011 idonmez@suse.com
- Update to r140780
  * Code cleanup
  * Crash fixes
  * Add support for alignment-specifiers in C1X and C++11
  * Introduce a new compiler switch: -fms-compatility
  * Emit debug info for c++0x nullptr.
* Tue Sep 13 2011 idonmez@suse.com
- Update to r139589
  * C++0x fixes
  * PCH fixes
* Thu Sep  1 2011 idonmez@suse.com
- Update to r138939
  * Many crash fixes.
  * Performance optimizations.
  * Allow C99 hexfloats in C++0x mode.
  * Add missing function _mm_ucomige_sd to emmintrin.h.
* Fri Aug 12 2011 idonmez@novell.com
- Update to r137452
  * Fix problems found by PVS-Studio
  * More AVX fixes
  * Many C++ fixes
- Add assume-opensuse.patch to remove dependency on openSUSE-release
* Wed Aug  3 2011 idonmez@novell.com
- Update to r136773
  * Many AVX fixes
  * Support for C++0x unicode string and character literals
* Tue Jul 19 2011 vljn@ovi.com
- Update to r135431
  * API changes to match Mesa requirements
* Mon Jul 11 2011 idonmez@novell.com
- Update to r134888
  * Type system rewrite
* Sat Jul  9 2011 idonmez@novell.com
- Update to r134813
  * Mainly gcc compatibility fixes
* Fri Jul  8 2011 idonmez@novell.com
- Update to r134698
  * Up to 80x speed improvements with -Wuninitialized
* Thu Jul  7 2011 idonmez@novell.com
- Enable RTTI support
- Disable assertions because they are not thread safe
- Update to r134611
  * Many C++ fixes and speedups
  * Updates for AVX instruction support
  * gcc 4.6.1 support
* Sat Jul  2 2011 idonmez@novell.com
-  Fix manpage generation (bnc #703591)
* Sun Jun  5 2011 idonmez@novell.com
- Update to r132667
* Sun May 29 2011 idonmez@novell.com
- Update to use cmake buildsystem
- Remove unmaintained ocaml support
* Thu May 26 2011 idonmez@novell.com
- Drop ocaml support because its unmaintained
- Update to latest svn revision 132050
  + Start of the upcoming 3.0 version
  + Support for gcc 4.6 c++ headers
  + Better support for C++0x
* Fri Apr 29 2011 idoenmez@novell.com
- Fix ocaml dependency
* Thu Apr  7 2011 idoenmez@novell.com
- Update to 2.9
  + Type Based Alias Analysis (TBAA) is now implemented in clang
  + LLVM now generates better debug information
  + Inline assembly now supports multiple alternative constraints
* Wed Apr  6 2011 stepan@coresystems.de
- drop revision from Requires: fields
- update to 2.8.99 revision 129008.
* Mon Mar  7 2011 jslaby@suse.de
- spec file cleanup
* Wed Dec 22 2010 dmacvicar@suse.de
- Do not require specific ffi version but gather the
  appropiate one from the distro
* Fri Dec 10 2010 reddwarf@opensuse.org
- Fix compatibility with C++0x compilers (g++ 4.5)
* Mon Nov 29 2010 ismail@namtrac.org
- Fix C include paths
* Fri Nov 26 2010 ismail@namtrac.org
- Fix header path for openSUSE 11.4
- Enabled PIC for x86 for loadable module support
- Enable package tests for llvm and clang
- Disable package timestamps to silence an rpmlint warning
* Wed Jun  2 2010 anschneider@exsuse.de
- Fixed the build on x86 plattforms.
- Package the clang c++-analyzer.
* Sat May  1 2010 jslaby@suse.de
- update to llvm 2.7
* Mon Mar 15 2010 jslaby@suse.de
- added vim plugins
* Sun Mar 14 2010 jslaby@suse.de
- added libffi-devel to llvm-devel requires so that build does not fail
- fixed build of explicit constructors with gcc45
* Mon Nov  2 2009 jslaby@suse.de
- Initial 2.6 release
